
// -----------------------------------------------------------------------------------------
//                      M A T E R I A L S
//------------------------------------------------------------------------------------------

#declare C_rust_red =       color rgb  <0.2, 0.1, 0.05>      ;
#declare C_rust_red_film =  color rgbt <0.13, 0.13, 0.15,.5>   ;
#declare C_rust_gray =      color rgb  <0.80, 0.80, 0.85>    ;
#declare C_rust_gray_dark = color rgb  <0.70, 0.70, 0.80>    ; 
#declare C_clear  =         rgbt 1                           ; 
#declare C_white =          color rgb<1,1,1>  ;
#declare C_gray50 =         color red 0.5 green 0.5 blue 0.5;  
#declare C_gray70 =         color red 0.7 green 0.7 blue 0.7; 
#declare C_brass =              rgb <0.7, 0.5, 0.1> ; 
#declare C_bronze =             rgb <0.46, 0.25, 0.09> ; 
#declare C_antique_bronze =     rgb <0.33, 0.22, 0.1> ;
#declare C_dark_bronze =        rgb <0.23, 0.17, 0.1> ; 


#declare C_gray70 = rgb <0.7,0.7,0.7> ; 
#declare F_matt = finish { ambient .2 diffuse 1 phong 0 phong_size 0 emission 0 } 
#declare T_gray70_matt = texture{ pigment {C_gray70} finish {F_matt}};
#declare M_gray70_matt = material{ texture{T_gray70_matt}};


//--- bronze old
#declare sz = <1,1,1> ;   
#declare turb = 1.1; 
#declare bump = .03; 

#declare T_metal_bronze_old =
texture { 
    pigment { 
        spotted 
        color_map {
            [0.0        C_antique_bronze * 1.1]
            [0.1        C_antique_bronze * .9]
            [0.3        C_antique_bronze * .9] 
            [0.55       C_antique_bronze * 1.1]
            [0.85       C_antique_bronze * 1.0]
            [0.9        C_dark_bronze * .9]
            [1.000      C_antique_bronze * 1.1]
        }
        turbulence turb
        scale sz
    } 

    finish {  
        reflection {.001, .1 fresnel on } 
        conserve_energy 
        brilliance 5
        ambient 0
        brilliance 5
        diffuse .5 
        phong 5    
        phong_size 80
        metallic
        specular 3 
        roughness .2
        //reflection .2 
    }
    
    normal {
         crackle 
         turbulence turb 
         bump_size bump
         scale sz
     }   
 }
 


//--- steel old spotted 
#declare sz = <1,1,1> *.5 ;   
#declare turb = 1.1; 
#declare bump = .8; 

#declare T_metal_steel_spotted =
texture { 
    pigment { 
        spotted 
        color_map {
            [0.0        C_clear              ]
            [0.2        C_rust_red           ]
            [0.3        C_rust_red_film * .7 ] 
            [0.4        C_clear              ]
            [0.85       C_clear              ]
            [0.9        C_rust_red_film * .6 ]
            [1.000      C_clear              ]
        } 
        turbulence turb
        scale sz
        } 

    finish {  
        reflection {.001, .02 fresnel on } 
        conserve_energy 
        brilliance 5
        ambient 0
        brilliance 5
        diffuse 1 
        phong 0.5    
        phong_size 80
        metallic
        specular 3 
        roughness .001
        reflection .2 
    }
    
    normal {
        pigment_pattern{ 
            spotted 
            color_map {
                [0.0        C_white  ]
                [0.2        C_gray50 ]
                [0.3        C_gray70 ] 
                [0.4        C_white  ]
                [0.85       C_white  ]
                [0.9        C_gray50 ]
                [1.000      C_white  ]
            } 
            turbulence turb
            scale sz
         }  
         bump_size bump
     }   
 }




//--- steel aged
#declare M_brass_aged =
material {
   texture { T_metal_bronze_old }
   texture { T_metal_steel_spotted scale <1.5,1.5,1.5>}
}
